Skip to main content
`Ctrl`+`K`

# STPostSolve

Optional post-solve phase, intended for any actions that must be performed on the `ST` object after the eigensolver has finished.

## Synopsis

    #include "slepcst.h"
    PetscErrorCode STPostSolve(ST st)

Collective

## Input Parameter

- st - the spectral transformation context

## See Also

ST: Spectral Transformation, `EPSSolve()`

## Level

developer

## Location

src/sys/classes/st/interface/stsolve.c

## Implementations

STPostSolve_Cayley() in src/sys/classes/st/impls/cayley/cayley.c
STPostSolve_Precond() in src/sys/classes/st/impls/precond/precond.c
STPostSolve_Shift() in src/sys/classes/st/impls/shift/shift.c
STPostSolve_Sinvert() in src/sys/classes/st/impls/sinvert/sinvert.c

Index of all ST routines Table of Contents for all manual pages Index of all manual pages